Technical Bulletin

This bulletin informs you of a known issue updating from Magento Commerce (formerly Enterprise Edition) and Open Source (formerly Community Edition) environments that run the following:

  • PHP 5.5.x

    and

  • Updater application version 10.0.1. This version is shipped by default with Magento 2.0.7.

Patch MDVA-449 supplies the fix for this potential upgrade issue.

Issue: Upgrade failure from Magento installations running PHP 5.5.x and Updater application 10.0.1

Magento Open Source and Commerce upgrades fail if your server runs PHP 5.5.x and Setup application (also referred to as the Updater application) version 10.0.1 and you try to upgrade to a later version of Magento.

Magento 2.0.7 by default ships with Setup application version 10.0.1. If you have not changed the default Setup application version that shipped with 2.0.7 and are running PHP 5.5.x, you must follow this bulletin. Failure to install patch MDVA-449 will complicate attempts to upgrade from this version of Magento to any future versions, including 2.1. Installations using PHP 5.6.x and 7.0.x do not need this patch.

Here is the issue you might encounter when running update/cron.php:

PHP Parse error: syntax error, unexpected '.', expecting ')' in /home/user/public_html/update/app/code/Magento/Update/UpdateLoggerFactory.php on line 31 

The following table summarizes what you need to do.

Upgrade path What to do
PHP 5.5.x AND Magento 2.0.7 Download and install patch MDVA-449 as detailed in this bulletin. Note: You must apply patch MDVA-449 whether you installed the Magento software using a compressed archive or the Composer metapackage.
PHP 5.5.x AND Updater 10.0.1 Download and install patch MDVA-449 as detailed in this bulletin. Note: You must apply patch MDVA-449 whether you installed the Magento software using a compressed archive or the Composer metapackage.
PHP 5.6.x with any Magento and Setup application version Ignore this bulletin
PHP 7.0.x with any Magento and Setup application version Ignore this bulletin

How to determine which version of Updater application you are running

  1. Log in to your Magento server as, or switch to, the Magento file system owner.

  2. Open the following file in a text editor:

    /update/composer.json
  3. Look for the value of "version". If the value of "version" is "10.0.1", and you’re using PHP 5.5.x, you must make the changes discussed in this bulletin. For example,

    “version”: “10.0.1”

  4. Exit the text editor without making changes.

Details

The Setup application that is packaged with Magento version 2.0.7 (version 10.0.1) has a line of code that is not compatible with PHP version 5.5.x. To ensure the success of future upgrades, download and install patch MDVA-449.

Download and install patch MDVA-449

If your Magento server runs PHP 5.5.x and Setup application 10.0.1, apply patch MDVA-449.

To apply this patch:

  1. Download one of the following patch archives. Patches are available in the following formats: .zip and .tar.gz

    Magento edition Patch location
    Magento CE

    www.magento.com/download

    Follow the instructions on your screen to download patch MDVA-449.

    Magento EE merchant portal Use the following steps:
    1. Go to www.magento.com
    2. In the top horizontal navigation bar, click My Account.
    3. Log in with your Magento user name and password.
    4. In the left navigation bar, click Downloads.
    5. Click Magento Commerce 2.X > Magento Commerce 2.x Release > Support Patches
    6. Follow the instructions on your screen to download patch MDVA-449.
    7. </ul> </li>
    8. Transfer the patch to your development system.
    Magento Commerce partner portal Use the following steps:
    1. Log in to partners.magento.com
    2. Click Magento Commerce > Magento Commerce 2.X > Magento Commerce 2.x Release > Support Patches.
    3. In the left navigation bar, click Downloads.
    4. Follow the instructions on your screen to download patch MDVA-449.
    5. Transfer the patch to your development system.

    Use patch MDVA-449 whether or not you installed optional sample data.

  2. Extract the patch in your Magento installation directory.

    Log in as or change to the Magento file system owner. Use one of the following commands to extract the archive.

    File format Command to extract
    .tar.gz tar zxf <filename>
    .zip unzip <filename>

    After extraction, Magento creates the magento2-updater-10.0.2 directory within the installation directory.

  3. Copy the contents of the magento2-updater-10.0.2 directory to the update directory by executing this command:

    cp -R magento2-updater-10.0.2/* update/

    If you're prompted to overwrite files repeatedly, cancel the operation and try the following command: yes | cp -rf magento2-updater-10.0.2/* update/. Also see this article on stackexchange.

  4. After copying all patch-related files to their appropriate locations, remove any unwanted files and directories by executing these commands:

    rm -rf magento2-updater-10.0.2/

    rm -f MDVA-449.*